Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Lisp für Blöcke auf Layer 0 und Farbe Vonblock setzen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Lisp für Blöcke auf Layer 0 und Farbe Vonblock setzen (1501 mal gelesen)
bit
Mitglied
Tiefbau Ingenieurbüro


Sehen Sie sich das Profil von bit an!   Senden Sie eine Private Message an bit  Schreiben Sie einen Gästebucheintrag für bit

Beiträge: 128
Registriert: 03.02.2005

Windows 7 Professional/ACAD 2012/ACAD2013/Strakon Dicad

erstellt am: 05. Apr. 2016 10:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Beitragvon2014.pdf

 
Hallo, ich möchte mehrerer Blöcke gleichzeitig auf Layer 0 und Farbe Vonblock einstellen.
Ich habe dazu schon eine Lisp hier gefunden, nur leider funktioniert diese bei mir nicht.
Wenn ich Befehl eingebe rasselt er alles runter ohne mich zu fragen was ich ändern möchte und am Ende sind auch noch alle Objekte weg...
Kann mir jemand sagen ob/was an der Lisp falsch ist, bzw. ob ich was falsch programmiert  habe...?!

Oder vielleicht gibt es ja schon andere Möglichkeiten/Systemvariablen.. etc. die ich noch nicht kenne?!

Leider weiß ich jetzt auch nicht wie ich diesen alten Beitrag hier einfügen kann.

Hier mal die Lisp so wie sie im Forum stand: (bzw. siehe Anhang)

[i]Dann war ich ja oben schon ganz nah dran. Wenn Du es mit der gezeigten Anregung nicht selbst hinbekommst, hier was fertiges (quick and dirty, sollte aber funktionieren):

(defun c:tool_1 ()
(ssget)
(command "eigändr" "v" "" "layer" "0""farbe" "vonlayer" "ltyp" "vonlayer" "lstärke" "vonlayer" "ltfaktor" 1"")
(princ)
)

(defun c:tool_2 ()
(ssget)
(command "eigändr" "v" "" "layer" "0""farbe" "vonblock" "ltyp" "vonblock" "lstärke" "vonblock" "ltfaktor" 1"")
(princ)
)

Für "tool_1" und "tool_2" kannst Du Dir selbst passende Namen ausdenken. Speichere die beiden Codeschnipsel in je eine .lsp Datei und fertig.


Gruß Marlen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 05. Apr. 2016 11:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bit 10 Unities + Antwort hilfreich

Hallo Marlen,

das hier könnte Dir weiterhelfen.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas Kraus
Mitglied
Elektrotechniker


Sehen Sie sich das Profil von Andreas Kraus an!   Senden Sie eine Private Message an Andreas Kraus  Schreiben Sie einen Gästebucheintrag für Andreas Kraus

Beiträge: 1137
Registriert: 11.01.2006

Win 10
ACAD 2019

erstellt am: 05. Apr. 2016 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bit 10 Unities + Antwort hilfreich

Hallo Marlen,
erst mal eine Frage: Sollen die Blockeinfügungen in der Zeichnung bearbeitet werden oder die Objekte in den jeweiligen Blockdefinitionen ?

Für die Blockeinfügungen würde ich die einfach filtern (filter oder sauswahl) und die Eigenschaften ändern.

Für die Blockdefinitionen kann ich dir was raussuchen.

------------------
Geht nicht, gibts nicht

Gruß
Andreas

http://kraus-cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bit
Mitglied
Tiefbau Ingenieurbüro


Sehen Sie sich das Profil von bit an!   Senden Sie eine Private Message an bit  Schreiben Sie einen Gästebucheintrag für bit

Beiträge: 128
Registriert: 03.02.2005

Windows 7 Professional/ACAD 2012/ACAD2013/Strakon Dicad

erstellt am: 05. Apr. 2016 12:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Andreas,
soweit ich deine Frage verstehe...hier die Antwort:
Ich möchte die in meiner Zeichnung GLEICHZEITIG MEHRERE vorh. Objekte (ist ja meist nur ein Objekt je Block) in den jew. Blockdefinition ändern,
speziell Farbe "vonblock" und Layer Null.
Mit Filter geht da nichts...
Im Normalfall gehe ich ja in jeden einzelnen Block (Blockeditor) rein und ändere dort die Eigenschften etc... Das will ich mir ersparen!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bit
Mitglied
Tiefbau Ingenieurbüro


Sehen Sie sich das Profil von bit an!   Senden Sie eine Private Message an bit  Schreiben Sie einen Gästebucheintrag für bit

Beiträge: 128
Registriert: 03.02.2005

Windows 7 Professional/ACAD 2012/ACAD2013/Strakon Dicad

erstellt am: 05. Apr. 2016 12:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas, danke für die Antwort.
Das mit der Lisp passt zwar... nur leider brauche ich Farbe "vonblock" und nicht Farbe "vonlayer"....

(

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 05. Apr. 2016 12:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für bit 10 Unities + Antwort hilfreich

Sicher? Dann Suche in dem Lisp-Programm die Zeile

Code:
                  (setq OBJEKTDATEN(subst(cons 62 256)(assoc 62 OBJEKTDATEN)OBJEKTDATEN))

und ersetze 256 durch 0

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bit
Mitglied
Tiefbau Ingenieurbüro


Sehen Sie sich das Profil von bit an!   Senden Sie eine Private Message an bit  Schreiben Sie einen Gästebucheintrag für bit

Beiträge: 128
Registriert: 03.02.2005

Windows 7 Professional/ACAD 2012/ACAD2013/Strakon Dicad

erstellt am: 05. Apr. 2016 12:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Thomas, danke!
Das funktioniert! 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz